Subject: Jasmine database, c-client authentication

From: " " <[email-masked]>
Date: Mon, 07 Feb 2000 22:39:59 -0800

Hello everybody,

I am trying to use c-client to enable my Jasmine database receive and send e-mail messages using IMAP/POP3/SMTP. 

I keep everything in the Jasmine database (which happens to be an object database with an C API) I can issue a call to mail_open() which calls mm_login() for authentication.

I wish I had an easy way to send the user and password information which are kept in the database to mail_open(). Actually I can specify the username using the following syntax {mailhost/pop3/user="myusername"} but can not send the password. 

My understanding is that I have two options:
1. From inside mm_login() I make a query to the database using the username.
2. I keep some sort of "global variable" somewhere. However this is tricky to implement inside my methods.

Did anyone have a similar situation? Sorry if I asked a stupid question but I am not very faimiliar with c-client. Your help will be really appreciated.

Thank you
ZZ

--== Sent via Deja.com http://www.deja.com/ ==--
Share what you know. Learn what you don't.
-- 
------------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/imap/c-client-list.html
------------------------------------------------------------------